Retrieves all the email notification

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

email_notification
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

db_table_id

db_table_id

globally unique identifier
id_in_table

id_in_table

globally unique identifier
date_sent

utc date time email sent.

date
type

type, like CONTRACT_RENEW , IMPORT_DONE , JOB_APPROVAL , JOB_PLANNING , ORDER , PURCHASE_ORDER , TASK

string
subject

subject of email

string
message

email message in html format

string

Response Formats

application/json, text/json

Sample:
{
  "id": "8b1efd42-79cd-4bbf-bbc7-73c45182da4a",
  "db_table_id": "fb1667bd-3c51-4add-9d7e-561e1dfa1581",
  "id_in_table": "0373b924-172f-49cf-9859-1212a845d52d",
  "date_sent": "2026-10-26T23:28:22.0326271+00:00",
  "type": "sample string 5",
  "subject": "sample string 6",
  "message": "sample string 7"
}